/*
  Program:      Mine Mayhem
  File:         menuicon.cc
  Date:         23 February, 1997

  Graphic buffers for the icon buttons on the menu.

  Freeware, Copyright 1996-7 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.
*/

#include "menuicon.h"

ViewBuffer* MenuIcon[MENUICONS];

BYTE MenuIconBuffer[MENUICONS][MENUICONW*MENUICONH] =
{
                      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,          // Clear game
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,          // MENUCLEAR
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,0,0,0,1,0,0,0,0 },

                      { 1,1,1,1,1,2,2,2,2,0,2,2,2,2,0,          // Cross game
                        1,0,0,0,0,2,0,0,0,1,2,0,0,0,1,          // MENUCROSS
                        1,0,0,0,0,2,0,0,0,1,2,0,0,0,1,
                        1,0,0,0,0,2,0,0,0,1,2,0,0,0,1,
                        1,0,0,0,0,0,1,1,1,1,0,1,1,1,1,
                        2,2,2,2,0,1,1,1,1,1,2,2,2,2,0,
                        2,0,0,0,1,1,0,0,0,0,2,0,0,0,1,
                        2,0,0,0,1,1,0,0,0,0,2,0,0,0,1,
                        2,0,0,0,1,1,0,0,0,0,2,0,0,0,1,
                        0,1,1,1,1,1,0,0,0,0,0,1,1,1,1,
                        2,2,2,2,0,2,2,2,2,0,1,1,1,1,1,
                        2,0,0,0,1,2,0,0,0,1,1,0,0,0,0,
                        2,0,0,0,1,2,0,0,0,1,1,0,0,0,0,
                        2,0,0,0,1,2,0,0,0,1,1,0,0,0,0,
                        0,1,1,1,1,0,1,1,1,1,1,0,0,0,0 },

                      { 7,7,7,7,1,1,1,1,1,1,1,7,7,7,7,          // Wrap-around
                        7,7,0,0,0,1,0,0,0,0,1,0,0,7,7,          // MENUWRAP
                        7,0,7,0,0,1,0,0,0,0,1,0,7,0,7,
                        7,0,0,7,0,1,0,0,0,0,1,7,0,0,7,
                        1,0,0,0,7,1,0,0,0,0,7,0,0,0,0,
                        1,1,1,1,1,7,1,1,1,7,1,1,1,1,1,
                        1,0,0,0,0,1,7,0,7,0,1,0,0,0,0,
                        1,0,0,0,0,1,0,7,0,0,1,0,0,0,0,
                        1,0,0,0,0,1,7,0,7,0,1,0,0,0,0,
                        1,0,0,0,0,7,0,0,0,7,1,0,0,0,0,
                        1,1,1,1,7,1,1,1,1,1,7,1,1,1,1,
                        7,0,0,7,0,1,0,0,0,0,1,7,0,0,7,
                        7,0,7,0,0,1,0,0,0,0,1,0,7,0,7,
                        7,7,0,0,0,1,0,0,0,0,1,0,0,7,7,
                        7,7,7,7,0,1,0,0,0,0,1,7,7,7,7 },

                      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,         // No automatic
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,         // MENUNONE
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,7,7,7,7,0,0,0,0,0,0,0,
                        1,0,0,7,7,7,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,7,7,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,3,3,3,3,0,0,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0 },

                      { 2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,         // Auto-mark
                        2,0,0,0,0,0,0,0,0,4,4,4,4,0,1,         // MENUMARK
                        2,0,0,0,0,0,7,7,4,3,4,4,3,4,1,
                        2,0,0,0,7,7,7,7,4,4,4,4,4,4,1,
                        2,0,0,7,7,7,7,7,4,3,4,4,3,4,1,
                        2,0,0,0,7,7,7,7,4,4,3,3,4,4,1,
                        2,0,0,0,0,0,7,7,0,4,4,4,4,0,1,
                        2,0,0,0,0,0,0,3,0,0,0,0,0,0,1,
                        2,0,0,0,0,0,0,3,0,0,0,0,0,0,1,
                        2,0,0,0,0,3,3,3,3,0,0,0,0,0,1,
                        2,0,0,3,3,3,3,3,3,3,3,0,0,0,1,
                        2,0,0,3,3,3,3,3,3,3,3,0,0,0,1,
                        2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
                        2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
                        0,1,1,1,1,1,1,1,1,1,1,1,1,1,1 },

                      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,         // Auto-open
                        1,0,0,0,0,0,0,0,0,4,4,4,4,0,0,         // MENUOPEN
                        1,0,0,0,0,0,0,0,4,3,4,4,3,4,0,
                        1,0,0,0,0,0,0,0,4,4,4,4,4,4,0,
                        1,0,0,0,0,0,0,0,4,3,4,4,3,4,0,
                        1,0,0,0,0,0,0,0,4,4,3,3,4,4,0,
                        1,0,0,0,0,0,0,0,0,4,4,4,4,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0 },

                      { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,         // Auto-mark&open
                        1,0,0,0,0,0,0,0,0,4,4,4,4,0,0,         // MENUBOTH
                        1,0,0,0,0,0,0,0,4,3,4,4,3,4,0,
                        1,0,0,0,0,0,7,7,4,4,4,4,4,4,0,
                        1,0,0,0,7,7,7,7,4,3,4,4,3,4,0,
                        1,0,0,7,7,7,7,7,4,4,3,3,4,4,0,
                        1,0,0,0,7,7,7,7,0,4,4,4,4,0,0,
                        1,0,0,0,0,0,7,7,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,3,0,0,0,0,0,0,0,
                        1,0,0,0,0,3,3,3,3,0,0,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,3,3,3,3,3,3,3,3,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                        1,0,0,0,0,0,0,0,0,0,0,0,0,0,0 }
};

